import { r as registerInstance, h, g as getElement } from './index-e821d5d1.js';
var tabsCss = ":host{display:block;height:100%;background:var(--color-background);border-radius:var(--border-width-md);-webkit-box-shadow:var(--box-shadow-01);box-shadow:var(--box-shadow-01)}";
var Tabs = /** @class */ (function () {
    function Tabs(hostRef) {
        registerInstance(this, hostRef);
        this.activeTab = "";
    }
    Tabs.prototype.tabActivatedHandler = function (event) {
        //first, get the active tab, and set it´s outer-container overflow to hidden
        var activeTab = this.element.querySelector("gxg-tab[is-selected]");
        if (activeTab !== null) {
            var outerContainer = activeTab.shadowRoot.querySelector(".outer-container");
            outerContainer.style.overflow = "hidden";
        }
        this.updateActiveChildren(event.target.tab, "gxg-tab-button");
        this.updateActiveChildren(event.target.tab, "gxg-tab");
    };
    Tabs.prototype.updateActiveChildren = function (activeTab, tagName) {
        var children = Array.from(this.element.querySelectorAll(tagName));
        var _loop_1 = function (child) {
            child.isSelected = activeTab === child.tab;
            if (activeTab === child.tab) {
                var outerContainer_1 = child.shadowRoot.querySelector(".outer-container");
                if (child.tagName === "GXG-TAB") {
                    outerContainer_1 = child.shadowRoot.querySelector(".outer-container");
                    setTimeout(function () {
                        outerContainer_1.style.overflow = "visible";
                    }, 100);
                }
            }
        };
        for (var _i = 0, children_1 = children; _i < children_1.length; _i++) {
            var child = children_1[_i];
            _loop_1(child);
        }
    };
    Tabs.prototype.render = function () {
        return (h("nav", { class: "tabs-container" }, h("slot", null)));
    };
    Object.defineProperty(Tabs.prototype, "element", {
        get: function () { return getElement(this); },
        enumerable: false,
        configurable: true
    });
    return Tabs;
}());
Tabs.style = tabsCss;
export { Tabs as gxg_tabs };
