import { r as registerInstance, h, g as getElement } from './index-e821d5d1.js';

const tabsCss = ":host{display:block;height:100%;background:var(--color-background);border-radius:var(--border-width-md);-webkit-box-shadow:var(--box-shadow-01);box-shadow:var(--box-shadow-01)}";

const Tabs = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.activeTab = "";
    }
    tabActivatedHandler(event) {
        //first, get the active tab, and set it´s outer-container overflow to hidden
        const activeTab = this.element.querySelector("gxg-tab[is-selected]");
        if (activeTab !== null) {
            const outerContainer = activeTab.shadowRoot.querySelector(".outer-container");
            outerContainer.style.overflow = "hidden";
        }
        this.updateActiveChildren(event.target.tab, "gxg-tab-button");
        this.updateActiveChildren(event.target.tab, "gxg-tab");
    }
    updateActiveChildren(activeTab, tagName) {
        const children = Array.from(this.element.querySelectorAll(tagName));
        for (const child of children) {
            child.isSelected = activeTab === child.tab;
            if (activeTab === child.tab) {
                let outerContainer = child.shadowRoot.querySelector(".outer-container");
                if (child.tagName === "GXG-TAB") {
                    outerContainer = child.shadowRoot.querySelector(".outer-container");
                    setTimeout(function () {
                        outerContainer.style.overflow = "visible";
                    }, 100);
                }
            }
        }
    }
    render() {
        return (h("nav", { class: "tabs-container" }, h("slot", null)));
    }
    get element() { return getElement(this); }
};
Tabs.style = tabsCss;

export { Tabs as gxg_tabs };
