import { EventEmitter } from "../../stencil-public-runtime";
import { Padding } from "../drag-box/drag-box";
import { DraggableComponent } from "../../utils/makeDraggable";
export declare class DragContainer implements DraggableComponent {
    el: HTMLElement;
    /**
     * The presence of this attribute adds a "delete" button to each child, that you can press to delete the item
     */
    deletable: boolean;
    /**
     * The max-width of the box container
     */
    maxWidth: string;
    padding: Padding;
    itemDragStart: EventEmitter;
    itemDrop: EventEmitter;
    itemDragOver: EventEmitter;
    itemDragLeave: EventEmitter;
    itemDragEnter: EventEmitter;
    clickedHandler(event: any): void;
    handleItemDragEnter(): void;
    private dndCleanup;
    getDraggableElements(): NodeListOf<HTMLGxgDragBoxElement>;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    render(): any;
}
