export declare class Icon {
    private io?;
    element: HTMLElement;
    /*********************************
    PROPERTIES & STATE
    *********************************/
    /**
     * The color of the icon.
     *
     */
    color: Color;
    /**
     * If enabled, the icon will be loaded lazily when it's visible in the viewport.
     */
    lazy: boolean;
    /**
     * The size of the icon. Possible values: regular, small.
     */
    size: Size;
    /**
     * The type of icon.
     */
    type: any;
    private isVisible;
    private svgContent?;
    /*********************************
    METHODS
    *********************************/
    connectedCallback(): void;
    disconnectedCallback(): void;
    private waitUntilVisible;
    private getIcon;
    private getFileName;
    render(): any;
    private mapColorToCssVar;
}
export declare type Color = "primary" | "onbackground" | "negative" | "disabled" | "error" | "success" | "warning" | "alwaysblack" | "auto";
export declare type Size = "regular" | "small";
